#############################################################################
#
# MODULE:   	Grass Compilation
# AUTHOR(S):	Original author unknown - probably CERL
#		Markus Neteler - Germany/Italy - neteler@itc.it
#   	    	Justin Hickey - Thailand - jhickey@hpcc.nectec.or.th
#   	    	Huidae Cho - Korea - grass4u@gmail.com
#   	    	Eric G. Miller - egm2@jps.net
# PURPOSE:  	The source file for this Makefile is in src/CMD/head/head.in.
#		It is the top part of a file called make.rules which is used
#		for compiling all GRASS modules. This part of the file provides
#		make variables that are dependent on the results of the
#		configure script.
# COPYRIGHT:    (C) 2000 by the GRASS Development Team
#
#               This program is free software under the GNU General Public
#   	    	License (>=v2). Read the file COPYING that comes with GRASS
#   	    	for details.
#
#############################################################################

############################## Make Variables ###############################

CC                  = gcc
#FC                  = @F77@
CXX                 = 
LEX                 = flex
YACC                = bison -y
PERL                = /usr/bin/perl
AR                  = ar
RANLIB              = ranlib
MKDIR               = mkdir -p
CHMOD               = chmod
INSTALL             = /usr/bin/install -c 

ARCH                = i586-mandrake-linux-gnu
prefix              = /usr
exec_prefix         = /usr
UNIX_BIN            = /usr/bin
INST_DIR            = /usr/grass-6.0.0
GRASSMANDIR         = /usr/share/man

DL_LIBS             = @DL_LIBS@
DL_OBJS             = @DL_OBJS@
PLAT_OBJS           = 
CFLAGS_DEBUG        = -g
CFLAGS_OPTIMIZE     = -O2
CFLAGS_WARNING      = -Wall -Wconversion -Wno-implicit-int
STRIPFLAG           = 
LDFLAGS_DEBUG       = 
LDFLAGS_OPTIMIZE    = 
CC_SEARCH_FLAGS     = -Wl,-rpath-link,${LIB_RUNTIME_DIR}
LD_SEARCH_FLAGS     = -Wl,-rpath-link,${LIB_RUNTIME_DIR}
LD_LIBRARY_PATH_VAR = LD_LIBRARY_PATH
LIB_RUNTIME_DIR     = $(INST_DIR)/lib

#static libs:
STLIB_LD            = ${AR} cr
STLIB_PREFIX        = lib
STLIB_SUFFIX        = .a

#shared libs
SHLIB_PREFIX        = lib
SHLIB_LD            = gcc -shared
SHLIB_LD_EXTRAS     = 
SHLIB_LD_FLAGS      = 
SHLIB_LD_LIBS       = ${LIBS}
SHLIB_CFLAGS        = -fPIC
SHLIB_SUFFIX        = .so


# GRASS dirs
GRASS_HOME          = /home/buchan/rpm/BUILD/grass-6.0.0

DEFAULT_DATABASE    =
DEFAULT_LOCATION    =

CPPFLAGS            = 
CFLAGS1             = -O2 -fomit-frame-pointer -pipe -march=i586 -mtune=pentiumpro  
CXXFLAGS            = 
INCLUDE_DIRS        = 

COMPILE_FLAGS       = $(CPPFLAGS) $(CFLAGS1) $(CFLAGS_WARNING) $(INCLUDE_DIRS)
COMPILE_FLAGS_CXX   = $(CPPFLAGS) $(CXXFLAGS) $(INCLUDE_DIRS)
LINK_FLAGS          = -L/usr/X11R6/lib -Wl,--export-dynamic

DLLIB               = -ldl
XCFLAGS             =  -I/usr/X11R6/include
XLDFLAGS            = 
XMINC               =  -I/usr/X11R6/include
XLIBPATH            =  -L/usr/X11R6/lib
XLIB                =  -lSM -lICE -lX11
XTLIB               = -lXt
XMLIB               =  -lXm 
XEXTRALIBS          = 

COMPATLIB           = -lbsd-compat
CURSES              = -lncurses $(COMPATLIB)
MATHLIB             = -lm 
XDRLIB              =     -lz 
ICONVLIB            = 
INTLLIB             = 
SOCKLIB             = 

#ZLIB:
ZLIB                =    -lz 
ZLIBINCPATH         = 
ZLIBLIBPATH         = 

#DBM:
#DBMINCPATH          = @DBMINCPATH@
#DBMLIBPATH          = @DBMLIBPATH@
#DBMLIB              = @DBMLIB@
DBMIEXTRALIB        = 

#readline
READLINEINCPATH     = 
READLINELIBPATH     = 
READLINELIB         =  -lreadline -ltermcap
HISTORYLIB          =  -lhistory

#PostgreSQL:
PQINCPATH           =  -I/usr/include/pgsql -I/usr/include/pgsql/internal
PQLIBPATH           = 
PQLIB               =  -lpq 

#MySQL:
MYSQLINCPATH        = 
MYSQLLIBPATH        = 
MYSQLLIB            = 

#ODBC:
ODBCINC             = 
ODBCLIB             = 

#Image formats:
PNGINC              = 
PNGLIB              =  -lpng  -lz  -lm
USE_PNG             = 1

JPEGINCPATH         = 
JPEGLIBPATH         = 
JPEGLIB             =  -ljpeg 

TIFFINCPATH         = 
TIFFLIBPATH         = 
TIFFLIB             =  -ltiff 

#GD library:
#GDINC               = @GDINC@
#GDLIB               = @GDLIB@
#USE_GD              = @USE_GD@

#openGL files for NVIZ/r3.showdspf
OPENGLINC           = 
OPENGLWINC          = 
OPENGLLIB           =  -L/usr/X11R6/lib  -lGL 
OPENGLULIB          =  -L/usr/X11R6/lib  -lGLU 
OPENGLWM            =  -lGLw 
#USE_GLWM            = @USE_GLWM@

#tcl/tk stuff
TCLINCDIR           = 
TKINCDIR            = 
TCLTKLIBPATH        = 
TCLTKLIBS           =  -ltk -lm  -ltcl -lm

#FFTW:
FFTWINC             = 
FFTWLIB             =  -lfftw -lm

#LAPACK/BLAS stuff for gmath lib:
BLASLIB             = 
LAPACKLIB           = 

#GDAL/OGR
GDALLIBS            = -L/usr/lib -lgdal
GDALCFLAGS          = -I/usr/include
USE_GDAL            = 1
USE_OGR             = 1

#FreeType:
FTINC               =  -I/usr/include/freetype2
FTLIB               =  -lfreetype 

#PROJ.4:
PROJINC             =  $(GDALCFLAGS)
PROJLIB             =  -lproj 

#OPENDWG:
OPENDWGINCPATH      = 
OPENDWGLIBPATH      = 
OPENDWGLIB          = 
USE_OPENDWG         = 

#i18N
HAVE_NLS            = 
